#version 130

uniform sampler2D texture0;

in vec4 color;
in  vec2 texCoord;
out vec4 outColor;

void main(void)
{
	float alpha = texture(texture0, texCoord.st).r;
	outColor = vec4(color.rgb * vec3(alpha, alpha, alpha), alpha);
}
